# Poco::Redis

# class AsyncReader

Library: Redis
Package: Redis
Header: Poco/Redis/AsyncReader.h

## Description

Wrapper around a Redis client to read messages asynchronously. Use this for publish/subscribe. The redisResponse event is used to notify that a message is received. When a reader is started for a Redis server, you should use execute<void>, because this class is responsible for reading all replies.

## Member Summary

Member Functions: isStopped, runActivity, start, stop

## Constructors

### AsyncReader

AsyncReader(
Client & client
);

Creates the AsyncReader using the given Client.

## Destructor

### ~AsyncReader

virtual ~AsyncReader();

Destroys the AsyncReader.

## Member Functions

### isStopped

bool isStopped();

Returns true if the activity is not running, false when it is.

### start

void start();

Starts the activity to read replies from the Redis server.

### stop

void stop();

Stops the read activity.

### runActivity

void runActivity();

## Variables

### redisException

BasicEvent < RedisEventArgs > redisException;

Event that is fired when an error occurred.

### redisResponse

BasicEvent < RedisEventArgs > redisResponse;

Event that is fired when a message is received.